Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/EXTERNAL/AGRIF/LIB/main.c
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/EXTERNAL/AGRIF/LIB/main.c	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/EXTERNAL/AGRIF/LIB/main.c	(revision 4147)
@@ -1339,30 +1351,36 @@
     {
         case 5:
+/* Line 1787 of yacc.c  */
 #line 67 "convert.y"
-    {initdimprob(1,(yyvsp[(2) - (3)].na),"0","0");;}
+    {initdimprob(1,(yyvsp[(2) - (3)].na),"0","0");}
     break;
 
   case 6:
+/* Line 1787 of yacc.c  */
 #line 68 "convert.y"
-    {initdimprob(2,(yyvsp[(2) - (5)].na), (yyvsp[(4) - (5)].na),"0");;}
+    {initdimprob(2,(yyvsp[(2) - (5)].na), (yyvsp[(4) - (5)].na),"0");}
     break;
 
   case 7:
+/* Line 1787 of yacc.c  */
 #line 70 "convert.y"
-    {initdimprob(3,(yyvsp[(2) - (7)].na), (yyvsp[(4) - (7)].na), (yyvsp[(6) - (7)].na));;}
+    {initdimprob(3,(yyvsp[(2) - (7)].na), (yyvsp[(4) - (7)].na), (yyvsp[(6) - (7)].na));}
     break;
 
   case 8:
+/* Line 1787 of yacc.c  */
 #line 72 "convert.y"
     {listofmodules = Addtolistnom((yyvsp[(2) - (3)].na),listofmodules,0);
-                                                        Addmoduletothelist((yyvsp[(2) - (3)].na));;}
+                                                        Addmoduletothelist((yyvsp[(2) - (3)].na));}
     break;
 
   case 9:
+/* Line 1787 of yacc.c  */
 #line 74 "convert.y"
-    {Add_NotGridDepend_Var_1((yyvsp[(3) - (4)].na));;}
+    {Add_NotGridDepend_Var_1((yyvsp[(3) - (4)].na));}
     break;
 
   case 10:
+/* Line 1787 of yacc.c  */
 #line 75 "convert.y"
     {
@@ -1371,12 +1389,23 @@
                                     if (!strcasecmp((yyvsp[(2) - (3)].na),"ONLY_FIXED_GRIDS"))
                                                              onlyfixedgrids=1;
-                                 ;}
+                                 }
     break;
 
 
-/* Line 1267 of yacc.c.  */
-#line 1376 "convert.tab.c"
+/* Line 1787 of yacc.c  */
+#line 1397 "convert.tab.c"
       default: break;
     }
+  /* User semantic actions sometimes alter yychar, and that requires
+     that yytoken be updated with the new translation.  We take the
+     approach of translating immediately before every use of yytoken.
+     One alternative is translating here after every semantic action,
+     but that translation would be missed if the semantic action invokes
+     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
+     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
+     incorrect destructor might then be invoked immediately.  In the
+     case of YYERROR or YYBACKUP, subsequent parser actions might lead
+     to an incorrect destructor call or verbose syntax error message
+     before the lookahead is translated.  */
   YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);
 
@@ -1386,5 +1415,4 @@
 
   *++yyvsp = yyval;
-
 
   /* Now `shift' the result of the reduction.  Determine what state
@@ -1407,4 +1435,8 @@
 `------------------------------------*/
 yyerrlab:
+  /* Make sure we have latest lookahead translation.  See comments at
+     user semantic actions for why this is necessary.  */
+  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);
+
   /* If not already recovering from an error, report this error.  */
   if (!yyerrstatus)
@@ -1414,35 +1446,34 @@
       yyerror (YY_("syntax error"));
 #else
+# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
+                                        yyssp, yytoken)
       {
-	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
-	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
-	  {
-	    YYSIZE_T yyalloc = 2 * yysize;
-	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
-	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
-	    if (yymsg != yymsgbuf)
-	      YYSTACK_FREE (yymsg);
-	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
-	    if (yymsg)
-	      yymsg_alloc = yyalloc;
-	    else
-	      {
-		yymsg = yymsgbuf;
-		yymsg_alloc = sizeof yymsgbuf;
-	      }
-	  }
-
-	if (0 < yysize && yysize <= yymsg_alloc)
-	  {
-	    (void) yysyntax_error (yymsg, yystate, yychar);
-	    yyerror (yymsg);
-	  }
-	else
-	  {
-	    yyerror (YY_("syntax error"));
-	    if (yysize != 0)
-	      goto yyexhaustedlab;
-	  }
+        char const *yymsgp = YY_("syntax error");
+        int yysyntax_error_status;
+        yysyntax_error_status = YYSYNTAX_ERROR;
+        if (yysyntax_error_status == 0)
+          yymsgp = yymsg;
+        else if (yysyntax_error_status == 1)
+          {
+            if (yymsg != yymsgbuf)
+              YYSTACK_FREE (yymsg);
+            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
+            if (!yymsg)
+              {
+                yymsg = yymsgbuf;
+                yymsg_alloc = sizeof yymsgbuf;
+                yysyntax_error_status = 2;
+              }
+            else
+              {
+                yysyntax_error_status = YYSYNTAX_ERROR;
+                yymsgp = yymsg;
+              }
+          }
+        yyerror (yymsgp);
+        if (yysyntax_error_status == 2)
+          goto yyexhaustedlab;
       }
+# undef YYSYNTAX_ERROR
 #endif
     }
@@ -1452,5 +1483,5 @@
   if (yyerrstatus == 3)
     {
-      /* If just tried and failed to reuse look-ahead token after an
+      /* If just tried and failed to reuse lookahead token after an
 	 error, discard it.  */
 
@@ -1469,5 +1500,5 @@
     }
 
-  /* Else will try to reuse look-ahead token after shifting the error
+  /* Else will try to reuse lookahead token after shifting the error
      token.  */
   goto yyerrlab1;
@@ -1503,5 +1534,5 @@
     {
       yyn = yypact[yystate];
-      if (yyn != YYPACT_NINF)
+      if (!yypact_value_is_default (yyn))
 	{
 	  yyn += YYTERROR;
@@ -1526,8 +1557,7 @@
     }
 
-  if (yyn == YYFINAL)
-    YYACCEPT;
-
+  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
   *++yyvsp = yylval;
+  YY_IGNORE_MAYBE_UNINITIALIZED_END
 
 
@@ -1553,5 +1583,5 @@
   goto yyreturn;
 
-#ifndef yyoverflow
+#if !defined yyoverflow || YYERROR_VERBOSE
 /*-------------------------------------------------.
 | yyexhaustedlab -- memory exhaustion comes here.  |
@@ -1564,7 +1594,12 @@
 
 yyreturn:
-  if (yychar != YYEOF && yychar != YYEMPTY)
-     yydestruct ("Cleanup: discarding lookahead",
-		 yytoken, &yylval);
+  if (yychar != YYEMPTY)
+    {
+      /* Make sure we have latest lookahead translation.  See comments at
+         user semantic actions for why this is necessary.  */
+      yytoken = YYTRANSLATE (yychar);
+      yydestruct ("Cleanup: discarding lookahead",
+                  yytoken, &yylval);
+    }
   /* Do not reclaim the symbols of the rule which action triggered
      this YYABORT or YYACCEPT.  */
@@ -1590,4 +1625,5 @@
 
 
+/* Line 2050 of yacc.c  */
 #line 82 "convert.y"
 
@@ -1960,5 +1996,4 @@
    return 0;
 }
-
 #line 2 "convert.yy.c"
 
@@ -1972,5 +2007,5 @@
 #define YY_FLEX_MAJOR_VERSION 2
 #define YY_FLEX_MINOR_VERSION 5
-#define YY_FLEX_SUBMINOR_VERSION 35
+#define YY_FLEX_SUBMINOR_VERSION 37
 #if YY_FLEX_SUBMINOR_VERSION > 0
 #define FLEX_BETA
@@ -2017,5 +2052,4 @@
 typedef unsigned short int flex_uint16_t;
 typedef unsigned int flex_uint32_t;
-#endif /* ! C99 */
 
 /* Limits of integral types. */
@@ -2047,4 +2081,6 @@
 #define UINT32_MAX             (4294967295U)
 #endif
+
+#endif /* ! C99 */
 
 #endif /* ! FLEXINT_H */
@@ -2524,5 +2560,5 @@
 #define MAX_INCLUDE_DEPTH 30
 YY_BUFFER_STATE include_stack[MAX_INCLUDE_DEPTH];
-#line 565 "convert.yy.c"
+#line 566 "convert.yy.c"
 
 #define INITIAL 0
@@ -2614,5 +2650,5 @@
  * we now use fwrite().
  */
-#define ECHO fwrite( yytext, yyleng, 1, yyout )
+#define ECHO do { if (fwrite( yytext, yyleng, 1, yyout )) {} } while (0)
 #endif
 
@@ -2625,5 +2661,5 @@
 		{ \
 		int c = '*'; \
-		yy_size_t n; \
+		size_t n; \
 		for ( n = 0; n < max_size && \
 			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
@@ -2709,5 +2745,5 @@
 #line 55 "convert.lex"
 
-#line 750 "convert.yy.c"
+#line 751 "convert.yy.c"
 
 	if ( !(yy_init) )
@@ -2854,5 +2890,5 @@
 ECHO;
 	YY_BREAK
-#line 895 "convert.yy.c"
+#line 896 "convert.yy.c"
 case YY_STATE_EOF(INITIAL):
 case YY_STATE_EOF(character):
@@ -3048,5 +3084,5 @@
 
 			/* just a shorter name for the current buffer */
-			YY_BUFFER_STATE b = YY_CURRENT_BUFFER;
+			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;
 
 			int yy_c_buf_p_offset =
@@ -3181,5 +3217,5 @@
 	yy_is_jam = (yy_current_state == 76);
 
-	return yy_is_jam ? 0 : yy_current_state;
+		return yy_is_jam ? 0 : yy_current_state;
 }
 
@@ -3269,5 +3305,5 @@
 					{
 					if ( yywrap( ) )
-						return 0;
+						return EOF;
 
 					if ( ! (yy_did_buffer_switch_on_eof) )
@@ -3405,8 +3441,4 @@
 }
 
-#ifndef __cplusplus
-extern int isatty (int );
-#endif /* __cplusplus */
-    
 /* Initializes or reinitializes a buffer.
  * This function is sometimes called more than once on the same buffer,
@@ -3613,6 +3645,6 @@
 /** Setup the input buffer state to scan the given bytes. The next call to yylex() will
  * scan from a @e copy of @a bytes.
- * @param bytes the byte buffer to scan
- * @param len the number of bytes in the buffer pointed to by @a bytes.
+ * @param yybytes the byte buffer to scan
+ * @param _yybytes_len the number of bytes in the buffer pointed to by @a bytes.
  * 
  * @return the newly allocated buffer state object.
@@ -3622,5 +3654,6 @@
 	YY_BUFFER_STATE b;
 	char *buf;
-	yy_size_t n, i;
+	yy_size_t n;
+	int i;
     
 	/* Get memory for full buffer, including space for trailing EOB's. */
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/ice_2.F90	(revision 4147)
@@ -22,33 +22,33 @@
    REAL(wp), PUBLIC ::   rdt_ice      !: ice time step
 
-   !                                                                     !!* namicerun read in iceini  *
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in  = "restart_ice_in"   !: suffix of ice restart name (input)
-   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out = "restart_ice"      !: suffix of ice restart name (output)
-   LOGICAL               , PUBLIC ::   ln_limdyn     = .TRUE.             !: flag for ice dynamics (T) or not (F)
-   LOGICAL               , PUBLIC ::   ln_limdmp     = .FALSE.            !: Ice damping
-   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.             !: flag grid points output (T) or not (F)
-   REAL(wp)              , PUBLIC ::   hsndif        = 0._wp              !: snow temp. computation (0) or not (9999)
-   REAL(wp)              , PUBLIC ::   hicdif        = 0._wp              !: ice  temp. computation (0) or not (9999)
-   REAL(wp), DIMENSION(2), PUBLIC ::   acrit = (/ 1.e-6_wp , 1.e-6_wp /)  !: minimum lead fraction in the 2 hemisphere
-   
-   !                                          !!* ice-dynamic namelist (namicedyn) *
-   INTEGER , PUBLIC ::   nbiter =    1         !: number of sub-time steps for relaxation
-   INTEGER , PUBLIC ::   nbitdr =  250         !: maximum number of iterations for relaxation
-   INTEGER , PUBLIC ::   nevp   =  360         !: number of EVP subcycling iterations
-   INTEGER , PUBLIC ::   telast = 3600         !: timescale for EVP elastic waves
-   REAL(wp), PUBLIC ::   epsd   = 1.0e-20_wp   !: tolerance parameter for dynamic
-   REAL(wp), PUBLIC ::   alpha  = 0.5_wp       !: coefficient for semi-implicit coriolis
-   REAL(wp), PUBLIC ::   dm     = 0.6e+03_wp   !: diffusion constant for dynamics
-   REAL(wp), PUBLIC ::   om     = 0.5_wp       !: relaxation constant
-   REAL(wp), PUBLIC ::   resl   = 5.0e-05_wp   !: maximum value for the residual of relaxation
-   REAL(wp), PUBLIC ::   cw     = 5.0e-03_wp   !: drag coefficient for oceanic stress
-   REAL(wp), PUBLIC ::   angvg  = 0._wp        !: turning angle for oceanic stress
-   REAL(wp), PUBLIC ::   pstar  = 1.0e+04_wp   !: first bulk-rheology parameter
-   REAL(wp), PUBLIC ::   c_rhg  = 20._wp       !: second bulk-rhelogy parameter
-   REAL(wp), PUBLIC ::   etamn  = 0._wp        !: minimun value for viscosity
-   REAL(wp), PUBLIC ::   creepl = 2.e-08_wp    !: creep limit
-   REAL(wp), PUBLIC ::   ecc    = 2._wp        !: eccentricity of the elliptical yield curve
-   REAL(wp), PUBLIC ::   ahi0   = 350._wp      !: sea-ice hor. eddy diffusivity coeff. (m2/s)
-   REAL(wp), PUBLIC ::   alphaevp = 1._wp      !: coefficient for the solution of EVP int. stresses
+   !                                                   !!* namicerun read in iceini  *
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_in     !: suffix of ice restart name (input)
+   CHARACTER(len=32)     , PUBLIC ::   cn_icerst_out    !: suffix of ice restart name (output)
+   LOGICAL               , PUBLIC ::   ln_limdyn        !: flag for ice dynamics (T) or not (F)
+   LOGICAL               , PUBLIC ::   ln_limdmp        !: Ice damping
+   REAL(wp)              , PUBLIC ::   hsndif           !: snow temp. computation (0) or not (9999)
+   REAL(wp)              , PUBLIC ::   hicdif           !: ice  temp. computation (0) or not (9999)
+   REAL(wp), DIMENSION(2), PUBLIC ::   acrit            !: minimum lead fraction in the 2 hemisphere
+   !
+   LOGICAL               , PUBLIC ::   ln_nicep      = .TRUE.     !: flag grid points output (T) or not (F)
+   !                                !!* ice-dynamic namelist (namicedyn) *
+   INTEGER , PUBLIC ::   nbiter      !: number of sub-time steps for relaxation
+   INTEGER , PUBLIC ::   nbitdr      !: maximum number of iterations for relaxation
+   INTEGER , PUBLIC ::   nevp        !: number of EVP subcycling iterations
+   INTEGER , PUBLIC ::   telast      !: timescale for EVP elastic waves
+   REAL(wp), PUBLIC ::   epsd        !: tolerance parameter for dynamic
+   REAL(wp), PUBLIC ::   alpha       !: coefficient for semi-implicit coriolis
+   REAL(wp), PUBLIC ::   dm          !: diffusion constant for dynamics
+   REAL(wp), PUBLIC ::   om          !: relaxation constant
+   REAL(wp), PUBLIC ::   resl        !: maximum value for the residual of relaxation
+   REAL(wp), PUBLIC ::   cw          !: drag coefficient for oceanic stress
+   REAL(wp), PUBLIC ::   angvg       !: turning angle for oceanic stress
+   REAL(wp), PUBLIC ::   pstar       !: first bulk-rheology parameter
+   REAL(wp), PUBLIC ::   c_rhg       !: second bulk-rhelogy parameter
+   REAL(wp), PUBLIC ::   etamn       !: minimun value for viscosity
+   REAL(wp), PUBLIC ::   creepl      !: creep limit
+   REAL(wp), PUBLIC ::   ecc         !: eccentricity of the elliptical yield curve
+   REAL(wp), PUBLIC ::   ahi0        !: sea-ice hor. eddy diffusivity coeff. (m2/s)
+   REAL(wp), PUBLIC ::   alphaevp    !: coefficient for the solution of EVP int. stresses
 
    REAL(wp), PUBLIC ::   usecc2                !:  = 1.0 / ( ecc * ecc )
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4147)
@@ -72,6 +72,8 @@
          &     'use more ocean levels or less ice layers/categories.' )
 
-      !                                ! Open the namelist file 
-      CALL ctl_opn( numnam_ice, 'namelist_ice', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      !                                ! Open the reference and configuration namelist files and namelist output file 
+      CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
+      CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       !    
       CALL ice_run_2                   ! read in namelist some run parameters
@@ -111,8 +113,15 @@
       !!-------------------------------------------------------------------
       NAMELIST/namicerun/ cn_icerst_in, cn_icerst_out, ln_limdyn, ln_limdmp, acrit, hsndif, hicdif
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!-------------------------------------------------------------------
       !                    
-      REWIND( numnam_ice )                      ! Read Namelist namicerun 
-      READ  ( numnam_ice , namicerun )
+      REWIND( numnam_ice_ref )              ! Namelist namicerun in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namicerun, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicerun in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namicerun, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicerun in configuration namelist', lwp )
+      WRITE ( numoni, namicerun )
       !
       IF(lwp) THEN                              ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdia_2.F90	(revision 4147)
@@ -29,8 +29,8 @@
    PRIVATE
 
-   PUBLIC               lim_dia_2          ! called by sbc_ice_lim_2
-
-   INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
-      &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
+   PUBLIC               lim_dia_2     ! called by sbc_ice_lim_2
+
+   INTEGER, PUBLIC ::   ntmoy  ,   &  !: instantaneous values of ice evolution or averaging ntmoy
+      &                 ninfo         !: frequency of ouputs on file ice_evolu in case of averaging
 
    INTEGER, PARAMETER ::   &  ! Parameters for outputs to files "evolu"
@@ -40,5 +40,5 @@
 
    INTEGER ::   &
-      nfrinf  = 4 ,     &  ! number of variables written in one line 
+      nfrinf ,          &  ! number of variables written in one line 
       nferme ,          &  ! last time step at which the var. are written on file
       nvinfo ,          &  ! number of total variables 
@@ -46,5 +46,5 @@
       naveg                ! number of step for accumulation before averaging
 
-   CHARACTER(len= 8) ::   fmtinf  = '1PE13.5 ' ! format of the output values  
+   CHARACTER(len= 8) ::   fmtinf   ! format of the output values  
    CHARACTER(len=30) ::   fmtw  ,           &  ! formats
       &                   fmtr  ,           &  ! ???
@@ -176,11 +176,18 @@
        INTEGER  ::   jv   ! dummy loop indice
        INTEGER  ::   ntot , ndeb, nv, ierr   ! local integer
+       INTEGER  ::   ios                     ! Local integer output status for namelist read
        REAL(wp) ::   zxx0, zxx1              ! local scalars
 
        NAMELIST/namicedia/fmtinf, nfrinf, ninfo, ntmoy
        !!-------------------------------------------------------------------
-
-       REWIND( numnam_ice )                     ! Read Namelist namicedia
-       READ  ( numnam_ice  , namicedia )
+                    
+       REWIND( numnam_ice_ref )              ! Namelist namicedia in reference namelist : Ice diagnostics in ice_evolu
+       READ  ( numnam_ice_ref, namicedia, IOSTAT = ios, ERR = 901)
+901    IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in reference namelist', lwp )
+
+       REWIND( numnam_ice_cfg )              ! Namelist namicedia in configuration namelist : Ice diagnostics in ice_evolu 
+       READ  ( numnam_ice_cfg, namicedia, IOSTAT = ios, ERR = 902 )
+902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedia in configuration namelist', lwp )
+       WRITE ( numoni, namicedia )
        
        IF(lwp) THEN                             ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 4147)
@@ -97,4 +97,5 @@
       INTEGER  :: ji, jj, jk       ! dummy loop indices
       INTEGER  :: irelax, ierror   ! error flag for allocation
+      INTEGER  ::   ios            ! Local integer output status for namelist read
       !
       REAL(wp) :: zdmpmax, zdmpmin, zfactor, zreltim ! temporary scalar
@@ -109,14 +110,13 @@
       ! 1)  initialize fld read structure for input data 
       !     --------------------------------------------
-      ln_limdmp = .false.                 !* set file information (default values)
-      cn_dir    = './'
-      ! (NB: frequency positive => hours, negative => months)
-      !                !    file     ! frequency ! variable ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-      !                !    name     !  (hours)  !  name    !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-      sn_hicif = FLD_N( 'ice_damping ', -1       , 'hicif'  ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
-      sn_frld  = FLD_N( 'ice_damping ', -1       , 'frld'   ,  .true.    , .true.  ,  'yearly'   ,  ''      ,  ''      )
+                  
+      REWIND( numnam_ice_ref )              ! Namelist namice_dmp in reference namelist : Ice restoring
+      READ  ( numnam_ice_ref, namice_dmp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dmp in reference namelist', lwp )
 
-      REWIND( numnam_ice )                !* read in namelist_ice namicedmp
-      READ  ( numnam_ice, namice_dmp )
+      REWIND( numnam_ice_cfg )              ! Namelist  namice_dmp in configuration namelist : Ice restoring
+      READ  ( numnam_ice_cfg, namice_dmp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dmp in configuration namelist', lwp )
+      WRITE ( numoni, namice_dmp )
       !
       IF ( lwp ) THEN                     !* control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 4147)
@@ -224,4 +224,5 @@
       !! ** input   :   Namelist namicedyn
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicedyn/ epsd, alpha,     &
          &                dm, nbiter, nbitdr, om, resl, cw, angvg, pstar,   &
@@ -229,7 +230,13 @@
          &                nevp, telast,alphaevp
       !!-------------------------------------------------------------------
-
-      REWIND ( numnam_ice )                       ! Read Namelist namicedyn
-      READ   ( numnam_ice  , namicedyn )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicedyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namicedyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicedyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namicedyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicedyn in configuration namelist', lwp )
+      WRITE ( numoni, namicedyn )
 
       IF(lwp) THEN                                ! Control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limistate_2.F90	(revision 4147)
@@ -34,13 +34,13 @@
    PUBLIC lim_istate_2      ! routine called by lim_init_2.F90
 
-   !!! ** init namelist (namiceini) **
-   LOGICAL  ::   ln_limini = .FALSE.  !: Ice initialization state
-   REAL(wp) ::   ttest     = 2.0      ! threshold water temperature for initial sea ice
-   REAL(wp) ::   hninn     = 0.5      ! initial snow thickness in the north
-   REAL(wp) ::   hginn     = 3.0      ! initial ice thickness in the north
-   REAL(wp) ::   alinn     = 0.05     ! initial leads area in the north
-   REAL(wp) ::   hnins     = 0.1      ! initial snow thickness in the south
-   REAL(wp) ::   hgins     = 1.0      ! initial ice thickness in the south
-   REAL(wp) ::   alins     = 0.1      ! initial leads area in the south
+   !!! **  namelist (namiceini) **
+   LOGICAL  ::   ln_limini   !: Ice initialization state
+   REAL(wp) ::   ttest       ! threshold water temperature for initial sea ice
+   REAL(wp) ::   hninn       ! initial snow thickness in the north
+   REAL(wp) ::   hginn       ! initial ice thickness in the north
+   REAL(wp) ::   alinn       ! initial leads area in the north
+   REAL(wp) ::   hnins       ! initial snow thickness in the south
+   REAL(wp) ::   hgins       ! initial ice thickness in the south
+   REAL(wp) ::   alins       ! initial leads area in the south
    
    REAL(wp) ::   zero      = 0.e0     ! constant value = 0
@@ -163,11 +163,18 @@
       INTEGER :: inum_ice
       INTEGER :: ji,jj
+      INTEGER :: ios                 ! Local integer output status for namelist read
 
       NAMELIST/namiceini/ ln_limini, ttest, hninn, hginn, alinn, &
          &                hnins, hgins, alins
       !!-------------------------------------------------------------------
-      !
-      REWIND ( numnam_ice )               ! Read Namelist namiceini 
-      READ   ( numnam_ice , namiceini )
+                   
+      REWIND( numnam_ice_ref )              ! Namelist namiceini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namiceini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namiceini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceini in configuration namelist', lwp )
+      WRITE ( numoni, namiceini )
       !
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4147)
@@ -530,11 +530,19 @@
       !! ** input   :   Namelist namicether
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicethd/ hmelt , hiccrit, hicmin, hiclim, amax  ,        &
          &                swiqst, sbeta  , parlat, hakspl, hibspl, exld,  &
          &                hakdif, hnzst  , thth  , parsub, alphs
       !!-------------------------------------------------------------------
-      !
-      REWIND( numnam_ice )                  ! read namelist
-      READ  ( numnam_ice , namicethd )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicethd in reference namelist : Ice thermodynamics
+      READ  ( numnam_ice_ref, namicethd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicethd in configuration namelist : Ice thermodynamics
+      READ  ( numnam_ice_cfg, namicethd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicethd in configuration namelist', lwp )
+      WRITE ( numoni, namicethd )
+
       IF( lk_cpl .AND. parsub /= 0.0 )   CALL ctl_stop( 'In coupled mode, use parsub = 0. or send dqla' )
       !
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 4147)
@@ -38,5 +38,5 @@
    PUBLIC   lim_trp_2   ! called by sbc_ice_lim_2
 
-   REAL(wp), PUBLIC ::   bound  = 0.e0          !: boundary condit. (0.0 no-slip, 1.0 free-slip)
+   REAL(wp), PUBLIC ::   bound      !: boundary condit. (0.0 no-slip, 1.0 free-slip)
 
    REAL(wp)  ::   epsi06 = 1.e-06   ! constant values
@@ -297,9 +297,17 @@
       !! ** input   :   Namelist namicetrp
       !!-------------------------------------------------------------------
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       NAMELIST/namicetrp/ bound
       !!-------------------------------------------------------------------
-      !
-      REWIND ( numnam_ice )      ! Read Namelist namicetrp
-      READ   ( numnam_ice  , namicetrp )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namicetrp in reference namelist : Ice advection
+      READ  ( numnam_ice_ref, namicetrp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicetrp in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namicetrp in configuration namelist : Ice advection
+      READ  ( numnam_ice_cfg, namicetrp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namicetrp in configuration namelist', lwp )
+      WRITE ( numoni, namicetrp )
+
       IF(lwp) THEN
          WRITE(numout,*)
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 4147)
@@ -230,4 +230,5 @@
       !!-------------------------------------------------------------------
       INTEGER ::   nf      ! ???
+      INTEGER ::   ios     ! Local integer output status for namelist read
       TYPE FIELD 
          CHARACTER(len = 35) :: ztitle 
@@ -255,7 +256,13 @@
          CALL ctl_stop( 'STOP', 'lim_wri_init_2 : unable to allocate standard arrays' )   ;   RETURN
       ENDIF
-
-      REWIND ( numnam_ice )                ! Read Namelist namicewri
-      READ   ( numnam_ice  , namiceout )
+                    
+      REWIND( numnam_ice_ref )              ! Namelist namiceout in reference namelist : Ice outputs
+      READ  ( numnam_ice_ref, namiceout, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceout in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namiceout in configuration namelist : Ice outputs
+      READ  ( numnam_ice_cfg, namiceout, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namiceout in configuration namelist', lwp )
+      WRITE ( numoni, namiceout )
       
       zfield( 1) = field_1
